version: "2"
services:
  app:
    image: registry.gitlab.com/deepset-ai/env/jupyter:gpu
    command: bash -c "cd root/sharedfolder && jupyter notebook --allow-root"
    restart: unless-stopped
    network_mode: "bridge"
    volumes:
       - ${DEEPSET_HOME}:/root/sharedfolder
    ports:
      - 8888:8888
      - 6006:6006
    container_name: "jupyter"